Reckon
Docs Home
Reckon Site
Docs Home
Reckon Site
  1. Email Verification
  • Start Here
  • Reckon Public APIs
    • Email Verification
      • Verify Email Address
        POST
    • Credits
      • Get Credit Balance
  • AI Tools
    • MCP Server
  • Schemas
    • Schemas
      • vfs_region
      • vfs_storage_size
      • vfs_billing
      • vfs
      • vfs_attachment
      • pull_zone
      • push_zone
      • file
      • file
      • upload_endpoint
      • inputs
      • billing
      • invoice
      • vke-cluster
      • nodepool-instances
      • nodepools
      • attached-vpcs
      • network
      • vpc
      • vpc-node
      • instance-vpc
      • vpc2
      • vpc2-node
      • instance-vpc2
      • user
      • ip-whitelist-entry
      • startup
      • ssh
      • snapshot
      • subaccount
      • reserved-ip
      • os
      • application
      • account
      • account BGP
      • bandwidth
      • backup
      • blockstorage
      • firewall-group
      • firewall-rule
      • iso
      • iso-public
      • storage-gateway
      • storage-gateway-network
      • storage-gateway-export
      • object-storage
      • object-storage
      • clusters
      • tiers
      • tiers
      • domain
      • dns-soa
      • dns-record
      • loadbalancer
      • log
      • log-meta
      • region
      • plans
      • plans-metal
      • baremetal
      • baremetal
      • baremetal-ipv4
      • baremetal-ipv6
      • bandwidth
      • instance
      • instance
      • meta
      • database
      • plan
      • usage
      • user
      • topic
      • quota
      • available-connector
      • connector-configuration-schema
      • connector
      • connector-status
      • connector-status-task
      • alert
      • migration
      • backup
      • backup
      • connection
      • connection_pool
      • available_option
      • db
      • pg-advanced-options
      • mysql-advanced-options
      • kafka-advanced-options
      • kafka-rest-advanced-options
      • schema-registry-advanced-options
      • kafka-connect-advanced-options
      • access-control
      • kafka-permissions
      • app-variable
      • inference-subscription
      • inference-usage
      • private-networks
      • backup-schedule
      • forwarding-rule
      • meta
      • loadbalancer-firewall-rule
      • registry
      • replication
      • registry-storage
      • registry-repository
      • registry-user
      • registry-user
      • registry-region
      • registry-plan
      • registry-docker-credentials
      • registry-kubernetes-docker-credentials
      • registry-repository-artifact
      • registry-robot
    • Response
      • BadRequest
      • Unauthorized
      • Forbidden
      • NotFound
      • TooManyRequests
      • PaymentRequired
      • MethodNotAllowed
      • InternalServerError
      • UnsupportedMediaType
      • Timeout
      • ValidationError
      • ServiceUnavailable
    • Account
    • ErrorResponse
    • AccountMember
    • VerificationResult
    • AccountMemberCreateRequest
    • AccountMemberUpdateRequest
    • AccountMemberListResponse
    • Error
    • APIKeyCreateRequest
    • UserUpdateRequest
    • UserCreateRequest
    • APIKeyUpdateRequest
    • UserListResponse
    • APIKeyResponse
    • UserProfileResponse
    • APIKeyListResponse
    • UserProfileUpdateRequest
    • UserAccountMemberResponse
    • UserPreferencesResponse
    • User
    • UserPreferencesUpdateRequest
    • CreditBalanceResponse
    • VerifyEmailRequest
    • CreditTransaction
    • VerifyEmailResponse
    • CreditTransactionListResponse
    • CreditGrantRequest
    • CreditGrantResponse
    • CreditGrantMetadata
    • SignupPromotionGrantRequest
    • SignupPromotionGrantResponse
Docs Home
Reckon Site
Docs Home
Reckon Site
  1. Email Verification

Verify Email Address

POST
https://api.reckonapp.io/api/v1/verify/single

Request

Authorization
API Key
Add parameter in header
X-API-Key
Example:
X-API-Key: ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢200OK
application/json
Verification completed successfully
Body

🟠400Bad Request
🟠402Unauthorized
🟠401402
🟠405405
🟠408408
🟠415415
🟠422Parameter Error
🟠429429
🔴500Server Error
🔴503Service Unavailable
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location --request POST 'https://api.reckonapp.io/api/v1/verify/single' \
--header 'X-API-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "email": "user@example.com"
}'
Response Response Example
200 - Regular email verification response
{
    "email_address": "user@example.com",
    "status": "valid",
    "requestId": "req_123",
    "status_meta": {
        "valid_format": true,
        "domain_exists": true,
        "accept_all": false,
        "disposable": false,
        "role_based": false,
        "mailbox_full": false,
        "plus_address": false
    },
    "domain_meta": {
        "domain": "example.com",
        "mailbox_provider": "gmail.com"
    },
    "errors": {},
    "performed_at": "2024-03-20T10:30:00.000Z",
    "performed_in_ms": 1234
}
Modified at 2026-02-13 15:58:56
Previous
Start Here
Next
Get Credit Balance
Built with